package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description 主观题试卷结构实体
 * @Author lideyin
 * @Date 2020/3/30 15:37
 * @Version 1.0
 */
@ApiModel(value = "OuterSubjectivePaperStructBean", description = "考生成绩数据")
public class OuterSubjectivePaperStructBean implements JsonSerializable{

	private static final long serialVersionUID = -861207406409903426L;

	@ApiModelProperty(value = "考试ID", example = "1", required = true)
	private Long examId;
	
	@ApiModelProperty(value = "科目代码", example = "XX", required = true)
	private String subjectCode;
	
	@ApiModelProperty(value = "科目名称", example = "XX", required = true)
	private String subjectName;

	@ApiModelProperty(value = "主观题集合", example = "[]", required = true)
	private List<OuterSubjectiveQuestionBean> questionList;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getSubjectCode() {
		return subjectCode;
	}

	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public List<OuterSubjectiveQuestionBean> getQuestionList() {
		return questionList;
	}

	public void setQuestionList(List<OuterSubjectiveQuestionBean> questionList) {
		this.questionList = questionList;
	}
}
